KDE 4.5 PyKDE API Reference

- KDE's Python API

# global Namespace Reference

`from PyKDE4.marble import *`

## Detailed Description

## Class Index

A | GeoDataLineStyle (Marble) | MarbleGraphicsItem (Marble)
AbstractDataPlugin (Marble) | GeoDataLod (Marble) | MarbleMap (Marble)
AbstractDataPluginItem (Marble) | GeoDataLookAt (Marble) | MarbleModel (Marble)
AbstractDataPluginModel (Marble) | GeoDataMultiGeometry (Marble) | MarbleNavigator (Marble)
AbstractFloatItem (Marble) | GeoDataObject (Marble) | MarbleWidget (Marble)
AbstractMarbleGraphicsLayout (Marble) | GeoDataOuterBoundary (Marble) | P
AbstractProjection (Marble) | GeoDataPlacemark (Marble) | Planet (Marble)
AbstractWorkerThread (Marble) | GeoDataPoint (Marble) | PluginAboutDialog (Marble)
C | GeoDataPolygon (Marble) | PluginInterface (Marble)
ClipPainter (Marble) | GeoDataPolyStyle (Marble) | PluginManager (Marble)
D | GeoDataRegion (Marble) | Q
DownloadRegionDialog (Marble) | GeoDataStyle (Marble) | QtMarbleConfigDialog (Marble)
F | GeoDataStyleMap (Marble) | Quaternion (Marble)
FrameGraphicsItem (Marble) | GeoDataStyleSelector (Marble) | Quaternion (Marble)
G | GeoDocument (Marble) | R
GeoDataAbstractView (Marble) | GeoGraphicsItem (Marble) | RenderPlugin (Marble)
GeoDataAccuracy (Marble) | GeoNode (Marble) | RenderPluginInterface (Marble)
GeoDataColorStyle (Marble) | GeoPainter (Marble) | S
GeoDataContainer (Marble) | GeoSceneLayer (Marble) | ScreenGraphicsItem (Marble)
GeoDataCoordinates (Marble) | L | Serializable
GeoDataDocument (Marble) | LabelGraphicsItem (Marble) | SunLocator (Marble)
GeoDataFeature (Marble) | LatLonBoxWidget (Marble) | T
GeoDataFolder (Marble) | LatLonEdit (Marble) | TileCoordsPyramid (Marble)
GeoDataGeometry (Marble) | LayerInterface (Marble) | TileCreator (Marble)
GeoDataHotSpot (Marble) | M | TileLevelRangeWidget (Marble)
GeoDataIconStyle (Marble) | MapThemeManager (Marble) | TinyWebBrowser (Marble)
GeoDataInnerBoundary (Marble) | MarbleAboutDialog (Marble) | V
GeoDataLabelStyle (Marble) | MarbleControlBox (Marble) | ViewParams (Marble)
GeoDataLatLonAltBox (Marble) | MarbleDataFacade (Marble) | ViewportParams (Marble)
GeoDataLatLonBox (Marble) | MarbleDirs (Marble) | W
GeoDataLinearRing (Marble) | MarbleGlobal (Marble) | WidgetGraphicsItem (Marble)
GeoDataLineString (Marble) | MarbleGraphicsGridLayout (Marble) |

## Enumerations

EnumFeatureId | { InvalidFeatureId, GeoDataDocumentId, GeoDataFolderId, GeoDataPlacemarkId, GeoDataNetworkLinkId, GeoDataScreenOverlayId, GeoDataGroundOverlayId }
EnumGeometryId | { InvalidGeometryId, GeoDataPointId, GeoDataLineStringId, GeoDataLinearRingId, GeoDataPolygonId, GeoDataMultiGeometryId, GeoDataModelId }

## Enumeration Documentation

EnumFeatureId

Enumerator:

  InvalidFeatureId = -1 |
  GeoDataDocumentId = 1 |
  GeoDataFolderId |
  GeoDataPlacemarkId |
  GeoDataNetworkLinkId |
  GeoDataScreenOverlayId |
  GeoDataGroundOverlayId |

EnumGeometryId

Enumerator:

  InvalidGeometryId = -1 |
  GeoDataPointId = 1 |
  GeoDataLineStringId |
  GeoDataLinearRingId |
  GeoDataPolygonId |
  GeoDataMultiGeometryId |
  GeoDataModelId |